### Method

# EDataServer SourceCredentialsProvider register_impl

since: 3.16

#### Declaration [src]

    gboolean
    e_source_credentials_provider_register_impl (
      ESourceCredentialsProvider* provider,
      ESourceCredentialsProviderImpl* provider_impl
    )

#### Description [src]

Registers a credentials provider implementation and adds its own reference on the `provider_impl`.

Available since: 3.16

#### Parameters

`provider_impl`

  Type: `ESourceCredentialsProviderImpl`

  An `ESourceCredentialsProviderImpl`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on failure, like when there is the `provider_impl` already registered.